#
# spec file for package python-qt4 (Version 4.7.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-qt4
BuildRequires:  libqt4-devel python-devel python-sip-devel
BuildRequires:  libQtWebKit-devel
%if %suse_version > 1020
BuildRequires:  dbus-1-python-devel
Requires:       dbus-1-python >= %( echo `rpm -q --queryformat '%{VERSION}' dbus-1-python`)
BuildRequires:  fdupes
%endif
%if %sles_version == 10
Requires:       python-elementtree
%endif
Requires:       python-sip >= %( echo `rpm -q --queryformat '%{VERSION}' python-sip`)
License:        GPLv2
Group:          Development/Libraries/Python
Summary:        PyQt - python bindings for Qt 4
Version:        4.7.3
Release:        1.2
%define rversion %version
Url:            http://www.riverbankcomputing.com/software/pyqt/intro
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        PyQt-x11-gpl-%{rversion}.tar.bz2
Patch0:         link-python.diff
Patch2:         disable-rpaths.diff
Patch3:         build-compare.diff
%py_requires
%if %suse_version <= 1110
%define python_sitelib %{py_sitedir}
%endif
Requires:       libqt4-x11 >= %( echo `rpm -q --queryformat '%{VERSION}' libqt4-x11`)

%description
PyQt is a set of Python bindings for Trolltech's Qt application
framework and runs on all platforms supported by Qt including Windows,
MacOS/X and Linux. There are two sets of bindings: PyQt v4 supports Qt
v4; and the older PyQt v3 supports Qt v3 and earlier. The bindings are
implemented as a set of Python modules and contain over 300 classes and
nearly 6,000 functions and methods.



Authors:
--------
    Riverbank Computing Limited

%package devel
License:        GPLv2
Group:          Development/Libraries/Python
Summary:        PyQt - devel part of python bindings for Qt 4
Requires:       libqt4-devel python-sip-devel
Requires:       %name = %version
Provides:       python-qt4:/usr/bin/pyrcc4

%description devel
PyQt is a set of Python bindings for Trolltech's Qt application
framework and runs on all platforms supported by Qt including Windows,
MacOS/X and Linux. There are two sets of bindings: PyQt v4 supports Qt
v4; and the older PyQt v3 supports Qt v3 and earlier. The bindings are
implemented as a set of Python modules and contain over 300 classes and
nearly 6,000 functions and methods.

This package contains all the developer tools you need to create your 
own PyQt applications.


Authors:
--------
    Riverbank Computing Limited


%prep
%setup -q -n PyQt-x11-gpl-%{rversion}
%patch0 -p1
%patch2
%patch3

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
python configure.py --confirm-license --qsci-api
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT INSTALL_ROOT=$RPM_BUILD_ROOT install
sed -i 's/The "doc" directory/The "doc" directory of package %{name}-devel/' README
DOCDIR=$RPM_BUILD_ROOT/usr/share/doc/packages/%{name}-devel
mkdir -p $DOCDIR
cp -pr NEWS THANKS contrib doc examples $DOCDIR
%if 0%{?suse_version} > 1020
 # create hardlinks for duplicate files
%fdupes $DOCDIR
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%dir %{py_sitedir}/PyQt4
%{py_sitedir}/PyQt4/__init__.*
%{py_sitedir}/PyQt4/*.so
%{py_sitedir}/PyQt4/uic
%if %suse_version > 1020
%{python_sitelib}/dbus/mainloop/qt.so
%endif
%if %sles_version == 10
%{py_sitedir}/PyQt4/elementtree/__init__.py
%{py_sitedir}/PyQt4/elementtree/ElementTree.py
%{py_sitedir}/PyQt4/elementtree/ElementPath.py
%endif

%files devel
%defattr(-,root,root)
/usr/share/doc/packages/python-qt4-devel
/usr/bin/pylupdate4
/usr/bin/pyrcc4
/usr/bin/pyuic4
%{py_sitedir}/PyQt4/pyqtconfig.py
/usr/share/sip/PyQt4
%dir /usr/share/qt4/qsci
%dir /usr/share/qt4/qsci/api
%dir /usr/share/qt4/qsci/api/python
/usr/share/qt4/qsci/api/python/PyQt4.api
# does not build on 64 bit systems
%if %{_lib} == lib
/usr/lib/qt4/plugins/designer/libpythonplugin.so
%endif

%changelog
* Tue Jun  8 2010 dmueller@suse.de
- update to 4.7.3:
  - Added evaluateToString() and evaluateToStringList() to QXmlQuery.
* Thu May 20 2010 cmorve69@yahoo.es
- Fixed build-compare
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.7.2:
  - A bug fix release.
  - Added the schema.py example.
  - Added the missing pushContext() and popContext() to QScriptEngine.
  - A QStyleOption instance will be wrapped as a specific sub-class where
    possible.
* Fri Jan 15 2010 tittiatcoke@gmail.com
- update to 4.7
  * Qt v4.6 is fully supported.
  * Added the QtMultimedia module.
  * Added keyword support for optional arguments.
  * Added docstrings for all classes, functions and methods that
    describe the Python signatures of all callables.
  * Any Python object that can be pickled can now be automatically
    written to and read from QSettings.
  * A QHostAddress.SpecialAddress can be used whenever a QHostAddress
    is expected.
  * Added the optional initialFilter argument to the
    QFileDialog.get*AndFilter() functions.
  * Added the readInt(), readQString(), readQStringList(), readQVariant(),
    writeInt(), writeQString(), writeQStringList() and writeQVariant()
    methods to QDataStream.
  * Added widgetPluginPath to the uic module to specify the directories
    that are searched for widget plugins.
  * Added the anchorlayout.py, animatedtiles.py, appchooser.py, easing.py,
    lighting.py, moveblocks.py, states.py and stickman.py examples.
  * Significantly reduced the size of the modules on Linux and MacOS/X.
* Fri Nov 20 2009 dmueller@suse.de
- update to 4.6.2:
  * A bug fix release.
* Fri Nov 20 2009 dmueller@suse.de
- add split-provides
* Sat Oct 24 2009 dmueller@suse.de
- update to 4.6.1:
  * Added the missing setDropAction() method to QGraphicsSceneDragDropEvent.
  * Added the QMacCocoaViewContainer class on OS/X.
  * An updated sandbox.py from Mark Summerfield.
* Mon Sep 28 2009 dmueller@suse.de
- update to 4.6:
  * alternate, more Pythonic, APIs have been defined
  * Qt properties can be initialised using keyword
  arguments passed when creating an instance
  * signals can be connected using keyword arguments passed
  when creating an instance
  * the QObject.pyqtConfigure() method has been added to set
  Qt properties and connect signals using keyword
  arguments at any time
  * Python v2.6 and later allow a Python bytearray to be
  used whenever a QByteArray is expected
  * the getOpenFileNameAndFilter(), getOpenFileNamesAndFilter()
  and getSaveFileNameAndFilter() static methods have been
  added to QFileDialog
  * a QLatin1String can be passed whenever a QString is expected
  * the compileUiDir() function has been added to the uic module.
* Tue Aug 18 2009 aj@suse.de
- use new python macros.
- Remove check for SUSE Linux 9.1.
* Wed Aug  5 2009 hpj@urpla.net
- use configure switch to always install the api file
* Thu Jul 30 2009 hpj@urpla.net
- update to 4.5.4 release, bugfixes and
  - Fixed a problem where None wasn't being interpreted as an invalid QVariant.
  - QVariant.toPyObject() now recurses through any collections.
  - Fixed the super-type of QGLContext because it takes part in parent/child
    relationships.
* Tue Jul 14 2009 beineri@opensuse.org
- update to 4.5.2 release, bugfixes and
  * support for the two QImage constructors that operate on non-
    const data by allowing a sip.voidptr to be passed
  * support for QHeaderView in pyuic4
  * any Python object can now be passed where a QVariant is
    expected, and None is interpreted as an invalid QVariant
* Mon Jul  6 2009 hpj@urpla.net
- create a separated -devel package
- install Qt designer plugin
- include the nice documentation
* Sun Jul  5 2009 dmueller@novell.com
- only use the configuration fix from trunk
* Wed Jul  1 2009 beineri@opensuse.org
- add trunk diff to fix build with Qt 4.5.2
* Wed Jun 17 2009 dmueller@suse.de
- update to 4.5.1:
  - Added the setCoordinateMode() and coordinateMode() methods to QGradient.
* Mon Jun  8 2009 beineri@opensuse.org
- update to 4.5 release:
  * support for Python v3 and Qt v4.5.1
  * new Pythonic API for connecting signals and slots
  * port of the current Qt examples launcher
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.5 snapshot 20090601 to fix support with
  newer python-sip
* Sun May 17 2009 beineri@opensuse.org
- update to 4.5 snapshot as of 20090507
* Thu May 14 2009 dmueller@suse.de
- require at least the exact qt version it was built against
* Fri Mar  6 2009 coolo@suse.de
- link the modules against python libraries
* Fri Dec  5 2008 dmueller@suse.de
- update to 4.4.4:
  - QVariant.toPyObject() will now handle any Python object.  The way in which
    QVariant wraps objects has subtlely changed in that the name returned by
    typeName() may now be different, but is now more consistent.
  - Added the data() method to the QPolygon, QPolygonF and QXmlAttributes
    classes.
  - Added the --no-designer-plugin option to configure.py to disable the
    building of the Python plugin for Qt Designer.
  - Added the missing Windows and Mac versions to QSysInfo.
* Sun Aug 10 2008 dmueller@suse.de
- update to 4.4.3:
  * a QChar can now be used whenever a QString is expected
  * all read related methods that take a maximum read length
  will now raise an exception if the length is negative
  * QVariant constructor that took a QVariantList argument
  has been replaced
  * QVariant constructor that took a QVariantMap argument
  has been replaced
  * added the embeddeddialogs.py and padnavigator.py examples
  from Igor Prischepoff
* Mon Jun 30 2008 dmueller@suse.de
- Factory merge (bnc#402524)
* Sat Jun 21 2008 mstopka@opensuse.org
- libQtWebKit support added
* Tue May 27 2008 dmueller@suse.de
- update to 4.4.2:
  * Major bugfixes, working bindings for Qt 4.4.0
* Wed Mar 19 2008 dmueller@suse.de
- fix wrong requires for 10.2
* Tue Feb 19 2008 dmueller@suse.de
- fix build against older distributions
* Thu Dec 13 2007 dmueller@suse.de
- bindings updated to Qt 4.3.3
* Sat Aug 11 2007 dmueller@suse.de
- fix requires (#297650)
* Fri Aug  3 2007 dmueller@suse.de
- update to 4.3:
  * bindings updated to match Qt 4.3.0
* Sun Apr 15 2007 dmueller@suse.de
- fix build against newer Qt
* Thu Apr 12 2007 dmueller@suse.de
- Update to 4.2:
  * bindings updated to match Qt 4.2.0
* Thu Apr  5 2007 dmueller@suse.de
- build against Qt 4.3
* Fri Jan 26 2007 dmueller@suse.de
- Initial package (4.1.1)
